Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMAxis

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMAxis

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Axis

    public class JSMAxis

extends JSMBaseObject
implements Axis

Nested Class Summary
`static class` | `JSMAxis.JSMLabels`
`static class` | `JSMAxis.JSMPlotLines`

Nested classes/interfaces inherited from interface org.one2team.highcharts.shared.Axis
`Axis.Labels, Axis.PlotLines, Axis.Type`

Field Summary
`java.lang.Object` | `categories`
`DateTimeLabelFormats` | `dateTimeLabelFormats`
`Axis.Labels` | `labels`
`java.lang.Double` | `max`
`java.lang.Integer` | `maxZoom`
`java.lang.Double` | `min`
`java.lang.Object` | `plotLines`
`java.lang.Boolean` | `showFirstLabel`
`java.lang.Boolean` | `startOnTick`
`java.lang.Double` | `tickInterval`
`JSMTitle` | `title`
`java.lang.String` | `type`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMAxis()`

Method Summary
`JSMArrayString` | `getCategories()`
`int` | `getCategoriesLength()`
`DateTimeLabelFormats` | `getDateTimeLabelFormats()`
`Axis.Labels` | `getLabels()`
`double` | `getMax()`
`int` | `getMaxZoom()`
`double` | `getMin()`
`Array<Axis.PlotLines>` | `getPlotLines()`
`double` | `getTickInterval()`
`Title` | `getTitle()`
`java.lang.String` | `getType()`
`boolean` | `isShowFirstLabel()`
`boolean` | `isStartOnTick()`
`Axis` | `setMax(double max)`
`Axis` | `setMaxZoom(int maxZoom)`
`Axis` | `setMin(double min)`
`Axis` | `setPlotLines(Array<Axis.PlotLines> plotLines)`
`Axis` | `setShowFirstLabel(boolean showFirstLabel)`
`Axis` | `setStartOnTick(boolean startOnTick)`
`Axis` | `setTickInterval(double tickInterval)`
`Axis` | `setType(java.lang.String type)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.one2team.highcharts.shared.Axis
`getUserObject, setUserObject`

Field Detail

### maxZoom

    public java.lang.Integer maxZoom

### startOnTick

    public java.lang.Boolean startOnTick

### tickInterval

    public java.lang.Double tickInterval

### showFirstLabel

    public java.lang.Boolean showFirstLabel

### min

    public java.lang.Double min

### max

    public java.lang.Double max

### type

    public java.lang.String type

### labels

    public Axis.Labels labels

### dateTimeLabelFormats

    public DateTimeLabelFormats dateTimeLabelFormats

### categories

    public java.lang.Object categories

### plotLines

    public java.lang.Object plotLines

### title

    public JSMTitle title

Constructor Detail

### JSMAxis

    public JSMAxis()

Method Detail

### getCategories

    public JSMArrayString getCategories()

  Specified by:
    `getCategories` in interface `Axis`

### getCategoriesLength

    public int getCategoriesLength()

  Specified by:
    `getCategoriesLength` in interface `Axis`

### getTitle

    public Title getTitle()

  Specified by:
    `getTitle` in interface `Axis`

### getLabels

    public Axis.Labels getLabels()

  Specified by:
    `getLabels` in interface `Axis`

### setMin

    public Axis setMin(double min)

  Specified by:
    `setMin` in interface `Axis`

### setMax

    public Axis setMax(double max)

  Specified by:
    `setMax` in interface `Axis`

### setType

    public Axis setType(java.lang.String type)

  Specified by:
    `setType` in interface `Axis`

### setTickInterval

    public Axis setTickInterval(double tickInterval)

  Specified by:
    `setTickInterval` in interface `Axis`

### setStartOnTick

    public Axis setStartOnTick(boolean startOnTick)

  Specified by:
    `setStartOnTick` in interface `Axis`

### setShowFirstLabel

    public Axis setShowFirstLabel(boolean showFirstLabel)

  Specified by:
    `setShowFirstLabel` in interface `Axis`

### setPlotLines

    public Axis setPlotLines(Array<Axis.PlotLines> plotLines)

  Specified by:
    `setPlotLines` in interface `Axis`

### getPlotLines

    public Array<Axis.PlotLines> getPlotLines()

  Specified by:
    `getPlotLines` in interface `Axis`

### getDateTimeLabelFormats

    public DateTimeLabelFormats getDateTimeLabelFormats()

  Specified by:
    `getDateTimeLabelFormats` in interface `Axis`

### setMaxZoom

    public Axis setMaxZoom(int maxZoom)

  Specified by:
    `setMaxZoom` in interface `Axis`

### isShowFirstLabel

    public boolean isShowFirstLabel()

  Specified by:
    `isShowFirstLabel` in interface `Axis`

### isStartOnTick

    public boolean isStartOnTick()

  Specified by:
    `isStartOnTick` in interface `Axis`

### getMaxZoom

    public int getMaxZoom()

  Specified by:
    `getMaxZoom` in interface `Axis`

### getMin

    public double getMin()

  Specified by:
    `getMin` in interface `Axis`

### getMax

    public double getMax()

  Specified by:
    `getMax` in interface `Axis`

### getTickInterval

    public double getTickInterval()

  Specified by:
    `getTickInterval` in interface `Axis`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `Axis`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD